parametrized-function.hh File Reference
`#include <roboptim/core/sys.hh>`
`#include <roboptim/core/debug.hh>`
`#include <iostream>`
`#include <limits>`
`#include <utility>`
`#include <boost/static_assert.hpp>`
`#include <boost/type_traits/is_base_of.hpp>`
`#include <roboptim/core/fwd.hh>`
`#include <roboptim/core/parametrized-function.hxx>`

## Classes

class | roboptim::ParametrizedFunction< F >
| Define an abstract parametrized mathematical function ( ). More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.

## Functions

template<typename F >
std::ostream & | roboptim::operator<< (std::ostream &o, const ParametrizedFunction< F > &f)
| Override operator<< to handle function display. More...